/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : sb abr 28 16:26:37 CEST 2001
    copyright            : (C) 2001 by Javier Campos
    email                : javi_cms@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kconfigure.h"

static const char *description =
	I18N_NOOP("Kconfigure");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
	{ "+file",          I18N_NOOP("File to load"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kconfigure", I18N_NOOP("Kconfigure"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2001, Javier Campos", 0, 0, "javi_cms@terra.es");
  aboutData.addAuthor("Javier Campos",0, "javi_cms@terra.es");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  Kconfigure *kconfigure = new Kconfigure();
  a.setMainWidget(kconfigure);

	if ( args->count() > 0 )
	{	
	if( kconfigure->openURL( args->url(0) ) )
		{
		args->clear();
	  kconfigure->show();
		return a.exec();
		}
  	else
		{
		args->clear();
		return false;
		}
	}
	else
// NO FILE IN ARGUMENTS
	{
	args->clear();
	if( kconfigure->openNew() )
		{
	  kconfigure->show();
		return a.exec();
		}
		else
		{ return false; }
	}
}
